The Payouts model will allow you to track funds you’ve received from SumUp.
You can receive a detailed payouts list with information like dates, fees, references and statuses, using the List payouts endpoint.
The Financial Payouts object
List of payout summaries.
- amount number
- currency string
- date string format: date
- fee number
- id integer
- reference string
- status stringOptions:
SUCCESSFULFAILED - transaction_code string
- type stringOptions:
PAYOUTCHARGE_BACK_DEDUCTIONREFUND_DEDUCTIONDD_RETURN_DEDUCTIONBALANCE_DEDUCTION
[ { "amount": null, "currency": null, "date": null, "fee": null, "id": null, "reference": null, "status": null, "transaction_code": null, "type": null }]List payouts
Lists ordered payouts for the merchant profile.
user.profileuser.profile_readonly Path Parameters
- merchant_code string requiredExample:
"MH4H92C7"
Query Parameters
Response
Returns the list of payouts for the requested period. See FinancialPayouts object .
- amount number
- currency string
- date string format: date
- fee number
- id integer
- reference string
- status stringOptions:
SUCCESSFULFAILED - transaction_code string
- type stringOptions:
PAYOUTCHARGE_BACK_DEDUCTIONREFUND_DEDUCTIONDD_RETURN_DEDUCTIONBALANCE_DEDUCTION
curl https://api.sumup.com/v1.0/merchants/{merchant_code}/payouts \ -X GET \ -H "Authorization: Bearer $SUMUP_API_KEY"import SumUp from '@sumup/sdk';
const client = new SumUp();
const result = await client.payouts.list("MH4H92C7", "start_date", "end_date");using SumUp;
var client = new SumUpClient();
var result = await client.Payouts.ListAsync( "MH4H92C7", "start_date", "end_date");import com.sumup.sdk.SumUpClient;
SumUpClient client = SumUpClient.builder().build();
var result = client.payouts().listPayoutsV1( "MH4H92C7", java.time.LocalDate.parse("start_date"), java.time.LocalDate.parse("end_date"));from sumup import Sumup
client = Sumup()
result = client.payouts.list("MH4H92C7", "start_date", "end_date")$sumup = new \SumUp\SumUp();
$result = $sumup->payouts->list('MH4H92C7', 'start_date', 'end_date');client := sumup.NewClient()
result, err := client.Payouts.List(context.Background(), "MH4H92C7", "start_date", "end_date")use sumup::Client;
let client = Client::default();
let result = client.payouts().list("MH4H92C7", sumup::ListPayoutsV1Params{ start_date: Some("start_date".to_string()), end_date: Some("end_date".to_string()), format: Some("format".to_string()), limit: Some("limit".to_string()), order: Some("order".to_string()),}).await;[ { "amount": null, "currency": null, "date": null, "fee": null, "id": null, "reference": null, "status": null, "transaction_code": null, "type": null }]
Content-Type: application/json
The request is invalid for the submitted query parameters.
- message string
Short description of the error.
- error_code string
Platform code for the error.
- param string
Parameter name (with relative location) to which the error applies. Parameters from embedded resources are displayed using dot notation. For example,
card.namerefers to thenameparameter embedded in thecardobject.
Content-Type: application/json
The request is not authorized.
- type string required format: uri
A URI reference that identifies the problem type.
Example:"https://developer.sumup.com/problem/not-found" - title string
A short, human-readable summary of the problem type.
Example:"Requested resource couldn't be found." - status integer
The HTTP status code generated by the origin server for this occurrence of the problem.
Example:404 - detail string
A human-readable explanation specific to this occurrence of the problem.
Example:"The requested resource doesn't exist or does not belong to you." - instance string format: uri
A URI reference that identifies the specific occurrence of the problem.
[ { "error_code": "MISSING", "message": "Validation error: required", "param": "start_date" }, { "error_code": "MISSING", "message": "Validation error: required", "param": "end_date" }]{ "detail": "Unauthorized.", "status": 401, "title": "Unauthorized", "trace_id": "3c77294349d3b5647ea2d990f0d8f017", "type": "https://developer.sumup.com/problem/unauthorized"}List payoutsDeprecated
Lists ordered payouts for the merchant profile.
user.profileuser.profile_readonly Query Parameters
Response
Returns the list of payouts for the requested period. See FinancialPayouts object .
- amount number
- currency string
- date string format: date
- fee number
- id integer
- reference string
- status stringOptions:
SUCCESSFULFAILED - transaction_code string
- type stringOptions:
PAYOUTCHARGE_BACK_DEDUCTIONREFUND_DEDUCTIONDD_RETURN_DEDUCTIONBALANCE_DEDUCTION
curl https://api.sumup.com/v0.1/me/financials/payouts \ -X GET \ -H "Authorization: Bearer $SUMUP_API_KEY"import SumUp from '@sumup/sdk';
const client = new SumUp();
const result = await client.payouts.listDeprecated("start_date", "end_date");using SumUp;
var client = new SumUpClient();
var result = await client.Payouts.ListDeprecatedAsync( "start_date", "end_date");import com.sumup.sdk.SumUpClient;
SumUpClient client = SumUpClient.builder().build();
var result = client.payouts().listPayouts( java.time.LocalDate.parse("start_date"), java.time.LocalDate.parse("end_date"));from sumup import Sumup
client = Sumup()
result = client.payouts.list_deprecated("start_date", "end_date")$sumup = new \SumUp\SumUp();
$result = $sumup->payouts->listDeprecated('start_date', 'end_date');client := sumup.NewClient()
result, err := client.Payouts.ListDeprecated(context.Background(), "start_date", "end_date")use sumup::Client;
let client = Client::default();
let result = client.payouts().list_deprecated(sumup::ListPayoutsParams{ start_date: Some("start_date".to_string()), end_date: Some("end_date".to_string()), format: Some("format".to_string()), limit: Some("limit".to_string()), order: Some("order".to_string()),}).await;[ { "amount": null, "currency": null, "date": null, "fee": null, "id": null, "reference": null, "status": null, "transaction_code": null, "type": null }]
Content-Type: application/json
The request is invalid for the submitted query parameters.
- message string
Short description of the error.
- error_code string
Platform code for the error.
- param string
Parameter name (with relative location) to which the error applies. Parameters from embedded resources are displayed using dot notation. For example,
card.namerefers to thenameparameter embedded in thecardobject.
Content-Type: application/json
The request is not authorized.
- type string required format: uri
A URI reference that identifies the problem type.
Example:"https://developer.sumup.com/problem/not-found" - title string
A short, human-readable summary of the problem type.
Example:"Requested resource couldn't be found." - status integer
The HTTP status code generated by the origin server for this occurrence of the problem.
Example:404 - detail string
A human-readable explanation specific to this occurrence of the problem.
Example:"The requested resource doesn't exist or does not belong to you." - instance string format: uri
A URI reference that identifies the specific occurrence of the problem.
[ { "error_code": "MISSING", "message": "Validation error: required", "param": "start_date" }, { "error_code": "MISSING", "message": "Validation error: required", "param": "end_date" }]{ "detail": "Unauthorized.", "status": 401, "title": "Unauthorized", "trace_id": "3c77294349d3b5647ea2d990f0d8f017", "type": "https://developer.sumup.com/problem/unauthorized"}